Subject: Re: bug#38818: Dired: mention deleting buffers, not just windows

From: Michael Heerdegen <[email-masked]>
Date: Wed, 01 Jan 2020 06:31:47 +0100

積丹尼 Dan Jacobson <[email-masked]> writes:

> (info "(emacs) Hooks") just mentions the old fashioned way.
> Maybe someone should update it.
> OK maybe it is intentionally still full of those lambdas, for small jobs.

Using lambdas should be ok most of the time.  But there's a certain risk
of unintentionally having two copies of a function in a hook when the
code is executed multiple times, e.g. if you load your init file twice,
once compiled, and once the lisp source, because `add-hook' then can't
know that it's the same function.  Most of the time even this has no
visible effect, but when it has, it can be surprising and finding the
cause can be hard, so I try to just avoid adding lambdas to hooks in my
init file.

Michael.